net.corda.core.messaging

## Class Ack

- net.corda.core.messaging.Ack

- All Implemented Interfaces:
    DeserializeAsKotlinObjectDef

      public class Ack
      implements DeserializeAsKotlinObjectDef

  A general Ack message that conveys no content other than it's presence for use when you want an acknowledgement from a recipient. Using Unit can be ambiguous as it is similar to Void and so could mean no response.

  See Also:
    Void

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Ack` | `INSTANCE` A general Ack message that conveys no content other than it's presence for use when you want an acknowledgement from a recipient. Using Unit can be ambiguous as it is similar to Void and so could mean no response.

- - ### Field Detail

    - #### INSTANCE

          public static Ack INSTANCE

      A general Ack message that conveys no content other than it's presence for use when you want an acknowledgement from a recipient. Using Unit can be ambiguous as it is similar to Void and so could mean no response.

      See Also:
        Void